View Issue Details

IDProjectCategoryView StatusLast Update
0001760FreeCADBugpublic2014-12-29 23:59
Reportermarktaff Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSKubuntu(Linux)OS Version14.04 LTS
Product Version0.14 
Target VersionFixed in Version 
Summary0001760: FC fails to load a *.FCStd file if the filename lacks the *.FCStd file extension
DescriptionFC allows you to save a part with a filename lacking the file extension, which is typical *nix behavior. However, when you then try to open the file next time, FC silently fails to open it.

After a quick `mv' command to append the file extension to the filename, FC will then load the file as expected.

Possible solutions:
1. Don't rely on the file extension when opening a file, or
2. Do not permit a file to be saved without the proper file extension.
Steps To Reproduce1. Open FC, load part workbench
2. Create a simple, properly-constrained, closed sketch.
3. Extrude a solid from the sketch.
4. Save file as `riser.test'
5. Close FC, then reopen FC
6. Open `riser.test'; it will silently fail.
7. Rename `riser.test' to `riser.test.FCStd'
8. Open `riser.test.FCStd'; it will open as expected.
Additional InformationTest case attached.
TagsNo tags attached.
FreeCAD Information

Activities

marktaff

2014-09-20 21:21

reporter  

riser.test (Attachment missing)

shoogen

2014-09-21 07:59

developer   ~0005141

One example would be that we could not open our own backup files FCStd1 ...
> 1. Don't rely on the file extension when opening a file
That would means to rely on mimetypes and magic files. This would be a huge redesign.
And there are differnt mechanisms to open files form the GUI, or by passing the name as an argument (or from python)

> 2. Do not permit a file to be saved without the proper file extension.
That should be limited to the GUI.

yorik

2014-09-21 17:34

administrator   ~0005143

I also don't know how if/how far not relying on the extension is possible on windows...

Related Changesets

FreeCAD: master 7aa91ece

2014-12-30 00:31:39

wmayer

Details Diff
+ fixes 0001760: FC fails to load a *.FCStd file if the filename lacks the *.FCStd file extension Affected Issues
0001760
mod - src/Gui/CommandDoc.cpp Diff File
mod - src/Gui/FileDialog.cpp Diff File

Issue History

Date Modified Username Field Change
2014-09-20 21:21 marktaff New Issue
2014-09-20 21:21 marktaff File Added: riser.test
2014-09-21 07:59 shoogen Note Added: 0005141
2014-09-21 17:34 yorik Note Added: 0005143
2014-12-29 23:59 wmayer Changeset attached => FreeCAD Master master 7aa91ece
2014-12-29 23:59 wmayer Assigned To => wmayer
2014-12-29 23:59 wmayer Status new => closed
2014-12-29 23:59 wmayer Resolution open => fixed